post
https://api-sandbox.qorcommerce.io/v3/gift/sale
process a sale using a gift card
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Parameters
The following parameters are available to process a gift card sale.
| parameter | description | required |
|---|---|---|
| mid | the Merchant ID (MID) assigned by USER.COMPANY_NAME or your merchant service provider (MSP) | YES |
| amount | the total amount to process | YES |
| creditcard | the gift card track data | YES |
| giftcard | integer value1 = full redemption8 = partial redemption | YES |
| invoiceid | the merchant invoice id associated with the sale | YES |
| orderid | unique merchant order tracking number | NO |
| ipaddress | The IP address of the client or server sending the request | NO |
JSON Example
The following JSON example provides test values to process a gift card sale. You can copy and paste these values in the Body Params section above to be used by the Try It feature
{
"transaction_data": {
"mid": "887728202",
"amount": "2.75",
"creditcard": "6678249877878121",
"giftcard": 1,
"invoiceid": "INV-123332",
"orderid": "193383",
"ipaddress": "0.0.0.0"
}
}References
- Payment Response Codes
Link to details on related response codes.
